Subject: bug#31852: Make memory-limit obsolete

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Jun 2018 09:27:30 -0700

Daniel Colascione wrote:
> I agree with obsoleting memory-limit. I don't like the vsize patch you
> installed though: what does the amount of address space reserved actually
> tell anyone? There's no relationship to actual resource consumption.

It's not that good a number, true; but it's better than the number we were 
returning, which was typically nonsense.

One of the benefits of moving memory-limit to Lisp was the removal of the bogus 
call to sbrk. Emacs should never call sbrk, and once the portable dumper code is 
merged, Emacs won't ever need to call sbrk again. Yay!

All things considered, I'd rather not go down the rabbit hole of trying to 
improve memory-limit further, because memory-limit was a mistake in the first 
place and nobody uses it (and rightly so) and we should be deprecating it rather 
than trying to improve it. That being said, if you'd like to make it better 
please feel free.